package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 adapay_member_account
 *
 * @author jsowell
 * @date 2023-06-15
 */
public class AdapayMemberAccount extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 运营商id
     */
    @Excel(name = "运营商id")
    private String merchantId;

    /**
     * 汇付会员id
     */
    @Excel(name = "汇付会员id")
    private String adapayMemberId;

    /**
     * 汇付结算账户id
     */
    @Excel(name = "汇付结算账户id")
    private String settleAccountId;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setMerchantId(String merchantId) {
        this.merchantId = merchantId;
    }

    public String getMerchantId() {
        return merchantId;
    }

    public void setAdapayMemberId(String adapayMemberId) {
        this.adapayMemberId = adapayMemberId;
    }

    public String getAdapayMemberId() {
        return adapayMemberId;
    }

    public void setSettleAccountId(String settleAccountId) {
        this.settleAccountId = settleAccountId;
    }

    public String getSettleAccountId() {
        return settleAccountId;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("merchantId", getMerchantId())
                .append("adapayMemberId", getAdapayMemberId())
                .append("settleAccountId", getSettleAccountId())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
